NXP NFC Reader Library v4.040.05.011646

Data Fields
phpalI14443p4mC_Sw_DataParams_t Struct Reference
Protocol Abstraction Layer » ISO/IEC 14443-4mC » Component : Software

ISO14443-4 card mode PAL parameter structure. More...

## Data Fields
uint16_t | wId
| Layer ID for this component, NEVER MODIFY. More...
uint16_t | wLastTxLen
| Length of last I block send. More...
void * | pHalDataParams
| Pointer to the parameter structure of underlying hardware component. More...
void * | pPlatform
| Pointer to Platform layer. More...
void * | pTimerHandle
| Timer Handle (For WTX). More...
uint8_t | bDisableWtx
| WTX Disabler (i.e. More...
uint8_t | bWtx
| Frame Waiting Time Extension. More...
uint8_t | bFsdi
| FSDI parameter. More...
uint8_t | bFsci
| ATS FSCI parameter. More...
uint8_t | bDr
| ATS DR parameter. More...
uint8_t | bDs
| ATS DS parameter. More...
uint8_t | bUnequalDrDs
| DR and DS are different. More...
uint8_t | bFwi
| ATS FWI parameter. More...
uint8_t | bSfgi
| ATS SFGI parameter. More...
uint8_t | bCidEnable
| CID, Enabled = 1 or Disabled. More...
uint8_t | bCidPresence
| Flag to indicate CID presence in current command-response pair. More...
uint8_t | bCid
| CID parameter. More...
uint8_t | bNadEnable
| NAD, Enabled = 1 or Disabled. More...
uint8_t | bNadPresence
| Flag to indicate NAD presence in current command-response pair. More...
uint8_t | bNad
| NAD parameter. More...
uint8_t | bStateNow
| Current state. More...
uint8_t | bBlockNr
| Current block number. More...
uint8_t | bChainingRx
| We are chaining Rx. More...
uint8_t | bChainingTx
| We are chaining Tx. More...
uint8_t | bOpMode
| Operating mode - ISO or NFC. More...
uint16_t | wWtDelta
| Holds the configured delta time to be subtracted from the time in WTX timer. More...
uint8_t | bWtPercentage
| Percentage of actual wait time to be used in WTX timer. More...
pWtxTimerCallback | pWtxTimerCallback
| Holds WTX timer call-back function address. More...

## Detailed Description

ISO14443-4 card mode PAL parameter structure.

## Field Documentation

## § wId

uint16_t phpalI14443p4mC_Sw_DataParams_t::wId

Layer ID for this component, NEVER MODIFY.

## § wLastTxLen

uint16_t phpalI14443p4mC_Sw_DataParams_t::wLastTxLen

Length of last I block send.

## § pHalDataParams

void* phpalI14443p4mC_Sw_DataParams_t::pHalDataParams

Pointer to the parameter structure of underlying hardware component.

## § pPlatform

void* phpalI14443p4mC_Sw_DataParams_t::pPlatform

Pointer to Platform layer.

## § pTimerHandle

void* phpalI14443p4mC_Sw_DataParams_t::pTimerHandle

Timer Handle (For WTX).

## § bDisableWtx

uint8_t phpalI14443p4mC_Sw_DataParams_t::bDisableWtx

WTX Disabler (i.e.

'0' if WTX enabled).

## § bWtx

uint8_t phpalI14443p4mC_Sw_DataParams_t::bWtx

Frame Waiting Time Extension.

## § bFsdi

uint8_t phpalI14443p4mC_Sw_DataParams_t::bFsdi

FSDI parameter.

## § bFsci

uint8_t phpalI14443p4mC_Sw_DataParams_t::bFsci

ATS FSCI parameter.

## § bDr

uint8_t phpalI14443p4mC_Sw_DataParams_t::bDr

ATS DR parameter.

## § bDs

uint8_t phpalI14443p4mC_Sw_DataParams_t::bDs

ATS DS parameter.

## § bUnequalDrDs

uint8_t phpalI14443p4mC_Sw_DataParams_t::bUnequalDrDs

DR and DS are different.

## § bFwi

uint8_t phpalI14443p4mC_Sw_DataParams_t::bFwi

ATS FWI parameter.

## § bSfgi

uint8_t phpalI14443p4mC_Sw_DataParams_t::bSfgi

ATS SFGI parameter.

## § bCidEnable

uint8_t phpalI14443p4mC_Sw_DataParams_t::bCidEnable

CID, Enabled = 1 or Disabled.

## § bCidPresence

uint8_t phpalI14443p4mC_Sw_DataParams_t::bCidPresence

Flag to indicate CID presence in current command-response pair.

## § bCid

uint8_t phpalI14443p4mC_Sw_DataParams_t::bCid

CID parameter.

## § bNadEnable

uint8_t phpalI14443p4mC_Sw_DataParams_t::bNadEnable

NAD, Enabled = 1 or Disabled.

## § bNadPresence

uint8_t phpalI14443p4mC_Sw_DataParams_t::bNadPresence

Flag to indicate NAD presence in current command-response pair.

## § bNad

uint8_t phpalI14443p4mC_Sw_DataParams_t::bNad

NAD parameter.

## § bStateNow

uint8_t phpalI14443p4mC_Sw_DataParams_t::bStateNow

Current state.

## § bBlockNr

uint8_t phpalI14443p4mC_Sw_DataParams_t::bBlockNr

Current block number.

## § bChainingRx

uint8_t phpalI14443p4mC_Sw_DataParams_t::bChainingRx

We are chaining Rx.

## § bChainingTx

uint8_t phpalI14443p4mC_Sw_DataParams_t::bChainingTx

We are chaining Tx.

## § bOpMode

uint8_t phpalI14443p4mC_Sw_DataParams_t::bOpMode

Operating mode - ISO or NFC.

## § wWtDelta

uint16_t phpalI14443p4mC_Sw_DataParams_t::wWtDelta

Holds the configured delta time to be subtracted from the time in WTX timer.

## § bWtPercentage

uint8_t phpalI14443p4mC_Sw_DataParams_t::bWtPercentage

Percentage of actual wait time to be used in WTX timer.

## § pWtxTimerCallback

pWtxTimerCallback phpalI14443p4mC_Sw_DataParams_t::pWtxTimerCallback

Holds WTX timer call-back function address.

The documentation for this struct was generated from the following file:

- phpalI14443p4mC.h